> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder a column

> Move a column to a 0-based index among non-system columns.



## OpenAPI

````yaml POST /v1/table/{table_uuid}/columns/{column_id}/reorder
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/table/{table_uuid}/columns/{column_id}/reorder:
    post:
      tags:
        - Table
      summary: Reorder a column
      description: Move a column to a 0-based index among non-system columns.
      operationId: reorder_column
      parameters:
        - name: table_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The UUID of the table.
        - name: column_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The UUID of the column.
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReorderColumn'
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                status: ok
        '401':
          description: Missing or invalid API key
        '404':
          description: Not found
components:
  schemas:
    ReorderColumn:
      type: object
      title: ReorderColumn
      properties:
        index:
          type: integer
          minimum: 0
      required:
        - index

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.